class RegexpUtils {
}
// 특수문자 / 문자 / 숫자 포함 형태의 8~15자리 이내의 암호 정규식
RegexpUtils.strictPassword = /^[0-9a-zA-Z]([-_.]?[0-9a-zA-Z])*@[0-9a-zA-Z]([-_.]?[0-9a-zA-Z])*.[a-zA-Z]{2,3}$/i;
// 숫자와 문자 포함 형태의 6~12자리 이내의 암호 정규식
RegexpUtils.password = /^[A-Za-z0-9]{6,12}$/i;
RegexpUtils.email = /^[0-9a-zA-Z]([-_.]?[0-9a-zA-Z])*@[0-9a-zA-Z]([-_.]?[0-9a-zA-Z])*.[a-zA-Z]{2,3}$/i;
RegexpUtils.phone = /^\d{3}-\d{3,4}-\d{4}$/i;
RegexpUtils.isStrictPassword = (str) => {
    return RegexpUtils.strictPassword.test(str);
};
RegexpUtils.isPassword = (str) => {
    return RegexpUtils.password.test(str);
};
RegexpUtils.isEmail = (str) => {
    return RegexpUtils.email.test(str);
};
RegexpUtils.isPhone = (str) => {
    return RegexpUtils.phone.test(str);
};
export default RegexpUtils;
